yum インストール


yum を rpm からインストールする

rpm のファイルを確認する

新しいバージョンだとこっちにあるかも。 http://ftp.riken.jp/Linux/centos/

古いバージョンだとこっちかな。 http://vault.centos.org/

インストール

$ cd /usr/local/src
$ mkdir rpm
$ cd rpm
$ wget http://vault.centos.org/4.4/os/i386/CentOS/RPMS/glibc-common-2.3.4-2.25.i386.rpm
$ wget http://vault.centos.org/4.4/os/i386/CentOS/RPMS/python-elementtree-1.2.6-4.2.1.i386.rpm
$ wget http://vault.centos.org/4.4/os/i386/CentOS/RPMS/python-urlgrabber-2.9.8-2.noarch.rpm
$ wget http://vault.centos.org/4.4/os/i386/CentOS/RPMS/python-sqlite-1.1.7-1.2.i386.rpm
$ wget http://vault.centos.org/4.4/os/i386/CentOS/RPMS/sqlite-3.3.3-1.2.i386.rpm
$ wget http://vault.centos.org/4.4/os/i386/CentOS/RPMS/yum-2.4.3-1.c4.noarch.rpm
$ sudo rpm -ihv *

yum のアップデート

fastestmirror プラグインインストール

インストールパッケージダウンロード時の最適ミラーサイトを自動選択するようにする

$ sudo yum -y install yum-fastestmirror

アップデート

$ sudo yum -y update

アップデート中のエラー

以下のようなエラーが出た。

Error: Missing Dependency: glibc-common = 2.3.4-2.25 is needed by package glibc-dummy-centos-4

確認する。

$ yum list installed | grep glibc-dummy-centos-4

glibc-dummy-centos-4.i386                2.3.4-2.25.swsoft      installed 

glibc-dummy-centos を削除する。

$ sudo yum remove glibc-dummy-centos-4.i386

もう一度アップデートする。

$ sudo yum -y update


Comment



Counter: 10666, today: 3, yesterday: 2

トップ   編集 凍結 差分 バックアップ 添付 複製 名前変更 リロード   新規 一覧 単語検索 最終更新   ヘルプ   最終更新のRSS
Last-modified: 2013-09-24 (火) 14:56:40 (1828d)